// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.command;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystem.Guideur;

public class GuiderBas extends Command {
  private Guideur guideur;
  /** Creates a new Guideur. */
  public GuiderBas(Guideur guideur) {
    this.guideur = guideur;
    addRequirements(guideur);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(guideur.bas()){
      guideur.guider(0);
    }
    else{
      guideur.guider(0.5);
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    guideur.guider(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return guideur.bas()==true;
  }
}
