// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.command;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystem.Accumulateur;
import frc.robot.subsystem.Lanceur;

public class LancerNote extends Command {
  private Lanceur lancer;
  private Accumulateur accumulateur;
  /** Creates a new LancerNote. */
  public LancerNote(Lanceur lancer, Accumulateur accumulateur) {
    this.lancer = lancer;
    this.accumulateur = accumulateur;
    addRequirements(lancer);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    double vitesse = 100;
    lancer.lancerspeaker();
    if(lancer.vitesse(vitesse)>vitesse){
      accumulateur.Accumuler(0.6);
    }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {}

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
