// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystem;

import com.ctre.phoenix.motorcontrol.can.WPI_TalonSRX;

import edu.wpi.first.networktables.GenericEntry;
import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj.shuffleboard.BuiltInLayouts;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardLayout;

public class Accumulateur extends SubsystemBase {
  /** Creates a new Accumulateur. */
 
  ShuffleboardTab dashboard = Shuffleboard.getTab("dashboard");
   private GenericEntry vitesse =
      dashboard.add("vitesseacc", 1)
         .getEntry(); 
  final WPI_TalonSRX Moteuracc2 = new WPI_TalonSRX(Constants.Moteuracc2);
  final WPI_TalonSRX Moteuracc = new WPI_TalonSRX(Constants.Moteuracc);
  final DigitalInput photocellacc = new DigitalInput(Constants.photocellacc);
    
  public void Deaccumuler(double vitesse){  
    Moteuracc2.set(vitesse);
  }
  public void moteuraccfollow(){
    Moteuracc.follow(Moteuracc2);
    Moteuracc.setInverted(true);
  }
  public boolean limitswitch(){
    return photocellacc.get();
  }
  public Accumulateur() {
    
    dashboard.addBoolean("limitacc", this::limitswitch);
  }
  public void Accumuler(double vitesse){
    Moteuracc.set(vitesse);
    Moteuracc2.set(vitesse);
  }
  public void Accumuler(){
    Accumuler(vitesse.getDouble(0.1));
  }

  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }
}
