// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystem;

import com.ctre.phoenix.motorcontrol.can.WPI_TalonSRX;

import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants;

public class Guideur extends SubsystemBase {
  /** Creates a new Guideur. */
  
    ShuffleboardTab dashboard = Shuffleboard.getTab("dashboard");
    final WPI_TalonSRX guideur = new WPI_TalonSRX(Constants.guideur);
    final DigitalInput guideurhaut = new DigitalInput(Constants.guideurhaut);
    final DigitalInput guideurbas = new DigitalInput(Constants.guideurbas);
      public Guideur() {
        dashboard.add("limitguideurhaut", haut());
        dashboard.add("limitguideurbas", bas());
      }
      public void guider(double vitesse){
        guideur.set(vitesse);
      }
      public boolean haut(){
        return guideurhaut.get();
      }
      public boolean bas(){
        return guideurbas.get();
      }
  @Override
  public void periodic() {
    // This method will be called once per scheduler run
  }
}
